Eclipse Platform Release 3.7

## org.eclipse.ui
Interface IProjectActionFilter

All Superinterfaces:
  IActionFilter, IResourceActionFilter

    public interface IProjectActionFilter

extends IResourceActionFilter

Describes the public attributes for a project and the acceptable values each may have.

A popup menu extension may use these constants to describe its object target. Each identifies an attribute name or possible value.

Clients are not expected to implement this interface.

See Also:
  `IActionFilter`

Field Summary
`static String` `NATURE` An attribute indicating the project nature (value `"nature"`).
`static String` `OPEN` An attribute indicating whether the project is open (value `"open"`).

Fields inherited from interface org.eclipse.ui.IResourceActionFilter
`CONTENT_TYPE_ID, EXTENSION, NAME, PATH, PERSISTENT_PROPERTY, PROJECT_NATURE, PROJECT_PERSISTENT_PROPERTY, PROJECT_SESSION_PROPERTY, READ_ONLY, SESSION_PROPERTY, XML_DTD_NAME, XML_FIRST_TAG`

Method Summary

Methods inherited from interface org.eclipse.ui.IActionFilter
`testAttribute`

Field Detail

### NATURE

    static final String NATURE

  An attribute indicating the project nature (value `"nature"`). The attribute value in xml is unconstrained.

  See Also:
    Constant Field Values

### OPEN

    static final String OPEN

  An attribute indicating whether the project is open (value `"open"`). The attribute value in xml must be one of `"true" or "false"`.

  See Also:
    Constant Field Values

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.